Package org.eclipse.m2m.atl.common

# Interface IAtlLexems

public interface IAtlLexems
This interface contains all the words of the ATL language, such as keywords.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String[]`
`ABSTRACT_TYPES`
Abstract types.
`static final String[]`
`BRACKETS`
Brackets.
`static final String[]`
`CONSTANTS`
Constants.
`static final String[]`
`CONTEXT_KEYWORDS`
Context keywords.
`static final String[]`
`KEYWORDS`
Keywords.
`static final String[]`
`OPERATORS`
Operators.
`static final String[]`
`SPECIAL_COMMENTS`
Special comments.
`static final String[]`
`SYMBOLS`
Symbols.
`static final String[]`
`TYPES`
Types.

## Field Details

### BRACKETS

static final String[] BRACKETS
Brackets.

### CONSTANTS

static final String[] CONSTANTS
Constants.

### KEYWORDS

static final String[] KEYWORDS
Keywords.

### OPERATORS

static final String[] OPERATORS
Operators.

### SYMBOLS

static final String[] SYMBOLS
Symbols.

### TYPES

static final String[] TYPES
Types.

### ABSTRACT_TYPES

static final String[] ABSTRACT_TYPES
Abstract types.

### SPECIAL_COMMENTS

static final String[] SPECIAL_COMMENTS
Special comments.

### CONTEXT_KEYWORDS

static final String[] CONTEXT_KEYWORDS
Context keywords.